﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Text.RegularExpressions ;
namespace EmailCollector
{
    public partial class frmImportFromFile : Form
    {
        public frmImportFromFile()
        {
            InitializeComponent();
        }
        private static frmImportFromFile sForm = null;
        public static frmImportFromFile Instance()
        {
            if (sForm == null) { sForm = new frmImportFromFile(); }

            return sForm;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            OpenFileDialog OpenFileDialog1 = new OpenFileDialog();
            OpenFileDialog1.Filter = "Text Documents (*.txt)|*.txt";
            OpenFileDialog1.FilterIndex = 2;
            OpenFileDialog1.RestoreDirectory = true;

            if (OpenFileDialog1.ShowDialog() == DialogResult.OK)
            {
                if (OpenFileDialog1.FileNames[0].ToString() != "")
                {
                    txtFileName.Text = OpenFileDialog1.FileNames[0].ToString();
                    StreamReader fs = new StreamReader(txtFileName.Text);
                    txtcontents.Text = fs.ReadToEnd();
                    ExtractEmailAddressesFromString(txtcontents.Text);
                }
            }
        }

        private void ExtractEmailAddressesFromString(string source)
        {
            try
            {
                string reg = @"([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})";
                MatchCollection mc = Regex.Matches(source, reg);
                string[] strArray = new string[mc.Count];

                DataGridViewTextBoxColumn col1 = new DataGridViewTextBoxColumn();
                col1.HeaderText = "Email Address";
                dataGridView1.Columns.Add(col1);

                dataGridView1.Rows.Insert(dataGridView1.Rows.Count - 1, mc.Count - 1);

                for (int i = 0; i < mc.Count; i++)
                {
                    dataGridView1[0, i].Value = mc[i].Groups[0].Value;
                }
                dataGridView1.Columns[0].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
            }
            catch { }
        }
    }
}
